berkeley_db_svc

`

    berkeley_db_svc [-Vv] [-h home]
        [-I seconds] [-L file] [-t seconds] [-T seconds]

Description

The berkeley_db_svc utility is the Berkeley DB RPC server.

The options are as follows:

-h

- Add the specified home directory to the list of allowed home directories that can be specified by the client. The home directory should be an absolute pathname. The last component of each home directory specified must be unique because that is how clients specify which database environment they want to join.

  Recovery will be run on each specified environment before the server begins accepting requests from clients. For this reason, only one copy of the server program should ever be run at any time because recovery must always be single-threaded.

-I

- Set the default idle timeout for client environments to the specified number of seconds. The default timeout is 24 hours.

-L

- Log the execution of the berkeley_db_svc utility to the specified file in the following format, where ### is the process ID, and the date is the time the utility was started.

  >     berkeley_db_svc: ### Wed Jun 15 01:23:45 EDT 1995

  This file will be removed if the berkeley_db_svc utility exits gracefully.

-t

- Set the default timeout for client resources (idle transactions and cursors) to the specified number of seconds. When the timeout expires, if the resource is a transaction, it is aborted; if the resource is a cursor, it is closed. The default timeout is 5 minutes.

-T

- Set the maximum timeout allowed for client resources. The default timeout is 20 minutes. If a client application requests a server timeout greater than the maximum timeout set for this server, the client's timeout will be capped at the maximum timeout value.

-V

- Write the library version number to the standard output, and exit.

-v

- Run in verbose mode.

The berkeley_db_svc utility exits 0 on success, and >0 if an error occurs.

Environment Variables
DB_HOME

- If the -h option is not specified and the environment variable DB_HOME is set, it is used as the path of the database home, as described in DB_ENV->open.

`

Copyright (c) 1996,2008 Oracle. All rights reserved.